package cn.com.ty.portal.controller;

import cn.com.ty.portal.controller.dto.RoleListModel;
import cn.com.ty.portal.dao.entity.SysRole;
import cn.com.ty.portal.service.RoleService;
import cn.com.xwy.boot.web.dto.RestResponse;
import com.baomidou.mybatisplus.core.metadata.IPage;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@Slf4j
@RestController
//@RequestMapping(path = "/role", produces = MediaType.APPLICATION_JSON_UTF8_VALUE, consumes = MediaType.APPLICATION_JSON_UTF8_VALUE)
@RequestMapping(path = "/role")
public class RoleController {

    @Autowired
    private RoleService roleService;
    /**
     * 分页查询角色
     */
    @RequestMapping("/list")
    public RestResponse<IPage<SysRole>> list(RoleListModel request){
        IPage<SysRole> sysRoleIPage = roleService.queryList(request);
        return RestResponse.ok(sysRoleIPage);
    }

    @PostMapping("/add")
    public RestResponse<String> addRole(){
        return RestResponse.ok(roleService.addRole());
    }


    @PostMapping("/delete")
    public RestResponse<String> deleteRole(){
        return RestResponse.ok(roleService.deleteRole());
    }
}
