package cn.com.ty.lift.system.user.controller;

import cn.com.ty.lift.common.constants.ApiConstants;
import cn.com.ty.lift.system.user.dao.entity.UserAccount;
import cn.com.ty.lift.system.user.dao.entity.model.UserRequest;
import cn.com.ty.lift.system.user.service.IUserService;
import cn.com.xwy.boot.web.dto.RestResponse;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author huangyuan
 * @date 2019-11-29
 * @description 用户管理
 */
@RestController
@RequestMapping("/user")
public class UserController {

    @Autowired
    private IUserService userService;

    /**
     * @description
     * @date 2019/11/27 10:03 AM
     * @param userRequest 用户请求类
     * @return
     */
    @RequestMapping("/list")
    public RestResponse list(UserRequest userRequest){
        IPage<UserAccount> userAccountPage = userService.list(userRequest);
        return RestResponse.ok(userAccountPage, ApiConstants.RESULT_SUCCESS, "获取用户信息成功");
    }

    /**
     * @description 添加用户
     * @date 2019/11/27 10:03 AM
     * @param userRequest 用户请求参数
     * @return
     */
    @PostMapping("/add")
    public RestResponse addUser(@RequestBody UserRequest userRequest){
        return userService.addUser(userRequest);
    }

    /**
     * @description 更新用户信息
     * @date 2019/11/27 10:03 AM
     * @param userRequest 用户请求参数
     * @return
     */
    @PostMapping("/update")
    public RestResponse updateUser(@RequestBody UserRequest userRequest){
        return userService.updateUser(userRequest);
    }

    /**
     * @description 删除用户信息
     * @date 2019/11/27 10:03 AM
     * @param userRequest 用户请求参数
     * @return
     */
    @PostMapping("/delete")
    public RestResponse deleteUser(@RequestBody UserRequest userRequest){
        return userService.deleteUser(userRequest);
    }

}
